@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

:root{

    --White: #ffffff;
    --whitesmoke: #f0eeee;
    --black: #1a1a1a;
    --darkGray: #232323;
    --lightGray: #626262;
    --my-font: "Roboto",sans-serif;
    --sky-blue: #006eff;
    --navy-blue: #000041;
    --valid: #00ff00;
    --invalid: red;
    --warning: yellow;

}

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    width: 100%;
    height: 100vh;
    background-color: var(--whitesmoke);
    font-family: var(--my-font);
}

/* ************************************************************************************* */
                             /* ALL NAVIGATIONS */
/* ************************************************************************************* */

header{
    width: 100%;
    height: 90px;
    background-color: var(--sky-blue);
    display: flex;
    justify-content: center;
    position: fixed;
    z-index: 99;
}

header .tittle{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-between;
}

header .tittle img{
    width: 90px;
    height: 100%;
}

header .tittle .name{
    width: 60%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

header .tittle .name h1{
    color: var(--navy-blue);
    font-size: 1.6rem;
    text-transform: uppercase;
    text-shadow: 2px 2px 2px var(--whitesmoke);
}
header .tittle .name p{
    font-size: 1.2rem;
    color: var(--whitesmoke);
}

header .tittle .toggle-btn{
    width: 5%;
    height: 100%;
    color: var(--navy-blue);
    font-size: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
}
header .tittle .toggle-btn i{
    position: absolute;
    padding: 10px;
    box-shadow: 0 0 2px 2px var(--navy-blue);
    transition: .5s;
    cursor: pointer;
}

/* side navigation links */
aside{
    height: 90vh;
    width: 0vw;
    background-color: var(--black);
    position: fixed;
    margin-top: 90px;
    z-index: 98;
    transition: 1.2s;
}

aside.open{
    width: 30vw;
    overflow: hidden;
}

aside nav{
    width: 100%;
    height: auto;
    text-transform: capitalize;
    overflow: hidden;
}

aside nav h2{
    color: var(--sky-blue);
    font-size: 1.8rem;
    padding: 30px;
    background-color: var(--black);
    text-wrap: nowrap;
}

aside nav ul{
    width: 100%;
}

aside nav ul a li{
    width: 100%;
    height: auto;
    list-style: none;
    border-bottom: 1px solid var(--lightGray);
    text-wrap: nowrap;
    padding: 15px 0;
    font-size: 1.3rem;
}
aside nav ul a li.active{
    color: var(--valid);
}

aside nav ul a{
    width: 100%;
    height: 100%;
    color: var(--whitesmoke);
    text-decoration: none;
    cursor: pointer;
}

aside nav a li i{
    margin-right: 15px;
    margin-left: 20px;
}

.more{
    display: none;
}

/* ***************MEDIA QUERY************* */
@media screen and (max-width:600px) {

    header{
        height: 70px;
    }

    header .tittle img{
        width: 70px;
        height: 100%;
    }

    header .tittle .name{
        width: 75vw;
        margin-left: 2px;
    }

    header .tittle .name h1{
        font-size: 1.1rem;
    }
    header .tittle .name p{
        font-size: 1rem;
        color: var(--whitesmoke);
        text-align: center;
    }

    header .tittle .toggle-btn{
        width: 65px;
        height: 100%;
        font-size: 1.6rem;
    }

    /* side navigation links */

    aside{
        margin-top: 70px;
    }

    aside.open{
        width: 100vw;
        overflow: hidden;
    }

    aside nav h2{
        font-size: 1.4rem;
        padding: 10px 30px;
    }

    aside nav ul a li{
        width: 100%;
        padding: 15px 0;
        font-size: 1.1rem;

    }

}

/* bottom navigation */
@media screen and (max-width:600px) {
    .bottom-nav{
        position: fixed;
        bottom: 0;
        width: 100%;
        height: 70px;
        background-color: var(--sky-blue);
        z-index: 99;
        transition: 1s;
        display: flex;
        flex-direction: column;
        align-items: center;
        box-sizing: border-box;
    }
    .bottom-nav.close{
        height: 0;
    }
    .bottom-nav nav{
        width: 100%;
        height: 100%;
        display: grid;
        grid-template-columns: repeat(5, 1fr);
        gap: 2px;
        align-items: center;
        justify-content: center;
        padding: 10px 0;
    }

    .bottom-nav nav a{
        grid-column: span 1;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
        text-decoration: none;
        text-transform: capitalize;
        text-wrap: nowrap;
        color: var(--black);
        font-weight: bold;
    }
    .bottom-nav nav a i{
        font-size: 1.4rem;
        color: var(--whitesmoke);
        text-shadow: 2px 2px 1px var(--lightGray);
    }
    .bottom-nav nav a.active{
        color: var(--valid);
    }

    .bottom-nav nav a .fa-message{
        color: blue;
    }

    .more{
        position: absolute;
        top: -200px;
        background-color: var(--sky-blue);
        border-radius: 50%;
        width: 180px;
        height: 180px;
        transition: .5s;
        overflow: hidden;
        transform: scale(0);
        display: block;
    }

    @keyframes rotate {
        100%{
            transform: scale(1) rotate(360deg);
        }
    }

    .more.display{
        transform: scale(1);
        animation: rotate 1s ease-in 1;
        transition: .2s;
    }

    .more a{
        position: absolute;
        display: flex;
        flex-direction: column;
        align-items: center;
        text-decoration: none;
    }

    .more a i{
        font-size: 1.4rem;
    }

    .more #link1{
        top: 8px;
        left: 65px;
        color: var(--navy-blue);
        i{
            text-shadow:1px 1px var(--valid);
            font-size: 1.6rem;
        }
    }
    .more #link2{
        top: 70px;
        right: 8px;
        color: blue;
    }
    .more .arrow{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%,-50%)rotate(90deg);
        width: 40px;
        height: 40px;
        background-color: var(--navy-blue);
        border-radius: 50%;
        transition: 1s;
        i{
            color: var(--valid);
            position: absolute;
            top: -18%;
            left: 50%;
            transform: translate(-50%,-50%);
        }
    }
    .more #link3{
        bottom: 8px;
        right: 75px;
        color: blue;
    }
    .more #link4{
        bottom: 70px;
        left: 8px;
        color: blue;
    }
}

/* ************************************************************************************* */
                             /* ALL NAVIGATIONS */
/* ************************************************************************************* */